[General]
bypass-system = true
skip-proxy = 192.168.0.0/16, 10.10.10.2, 172.16.0.0/12, localhost, *.local, captive.apple.com
tun-excluded-routes = 10.10.10.2, 127.0.0.0/8, 169.254.0.0/16, 172.16.0.0/12, 192.0.0.0/24, 192.0.2.0/24, 192.88.99.0/24, 192.168.0.0/16, 198.51.100.0/24, 203.0.113.0/24, 224.0.0.0/4, 255.255.255.255/32
dns-server = tls://1.1.1.1,tls://1.0.0.1,tls://1.12.12.12,tls://120.53.53.53
ipv6 = true

[Proxy Group]
Apple = select,DIRECT,PROXY
iCloud = select,DIRECT,PROXY
PcSocks = select,PC,ThinkPad,DIRECT

[Rule]
RULE-SET,https://raw.86705429.xyz/rulesets/applications.txt,DIRECT#classical
DOMAIN,clash.razord.top,DIRECT
DOMAIN,yacd.haishan.me,DIRECT
DOMAIN-SUFFIX,duolingo.com,PROXY
DOMAIN-SUFFIX,duolingo.cn,PROXY
DOMAIN-SUFFIX,onetrust.com,PROXY
DOMAIN-SUFFIX,bing.com,PROXY
DOMAIN-SUFFIX,hq.cmcc,PCSOCKS
DOMAIN-SUFFIX,cmss.cmcc,PCSOCKS
DOMAIN-SUFFIX,cmss.com,PCSOCKS
DOMAIN-SUFFIX,uban360.com,PCSOCKS
IP-CIDR,10.0.0.0/8,PCSOCKS
IP-CIDR,172.16.0.0/12,PCSOCKS
IP-CIDR,100.64.0.0/10,PCSOCKS
RULE-SET,https://raw.86705429.xyz/rulesets/private.txt,DIRECT#domain
RULE-SET,https://raw.86705429.xyz/rulesets/gfw.txt,PROXY#domain
RULE-SET,https://raw.86705429.xyz/rulesets/greatfire.txt,PROXY#domain
RULE-SET,https://raw.86705429.xyz/rulesets/icloud.txt,ICLOUD#domain
RULE-SET,https://raw.86705429.xyz/rulesets/apple.txt,APPLE#domain
RULE-SET,https://raw.86705429.xyz/rulesets/telegramcidr.txt,PROXY#ipcidr
FINAL,DIRECT

[Host]
localhost = 127.0.0.1

[URL Rewrite]
^https?://(www.)?g.cn https://www.google.com 302
^https?://(www.)?google.cn https://www.google.com 302